package br.com.senacagil.springmvc.business;

import java.io.Serializable;

public class Disciplina implements Serializable {

	static final long serialVersionUID = 1L;
	private String codigo;
	private String nome;
	private int cargaHoraria;

	public Disciplina() {
		super();
	}


	public Disciplina(String codigo, String nome, int cargaHoraria) {
		super();
		this.codigo = codigo;
		this.nome = nome;
		this.cargaHoraria = cargaHoraria;
	}

	public Disciplina(String codigo, String nome) {
		this.codigo = codigo;
		this.nome = nome;
	}


	public String getCodigo() {
		return codigo;
	}

	public void setCodigo(String codigo) {
		if(this.codigo == null) {
			this.codigo = codigo;
		}
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public int getCargaHoraria() {
		return cargaHoraria;
	}

	public void setCargaHoraria(int cargaHoraria) {
		this.cargaHoraria = cargaHoraria;
	}

}